.wrapper {
  width: 100%;
  display: grid;
  grid-template-columns: auto auto auto;
  justify-content: center;
  align-items: center;
  /* background: linear-gradient(127deg, rgba(93, 243, 56, 0.466), rgba(28, 175, 201, 0.596) 70.71%),
        linear-gradient(336deg, rgb(0, 0, 0), rgb(0, 0, 0) 70.71%); */
  padding: 2% 2%;
}

.fade-up {
  opacity: 0;
  transform: translateY(20px);
  transition: opacity 0.6s ease-out, transform 0.6s ease-out;
}

.fade-up.show {
  opacity: 1;
  transform: translateY(0);
}

.galleryimg {
  position: relative;
  overflow: visible;
  margin: 10px;
  background-color: white; /* Adjust as needed */
  box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.3); /* Adjust values as needed */
  transition: box-shadow 0.3s ease-in-out;

  transform: translateY(20px);
  transition: opacity 0.6s ease-out, transform 0.6s ease-out;
}

.galleryimg.show {
  opacity: 1;
  transform: translateY(0);
}

.galleryimg:hover {
  box-shadow: 0px 8px 16px rgba(0, 0, 0, 0.4); /* More intense shadow on hover */
}

.galleryimg img {
  width: 100%;
  display: block;
  margin: auto;
}

.galarycontent {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  background: rgba(0, 0, 0, 0.87);
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  opacity: 0;
  transition: 0.5s;
  overflow: hidden;
}

.galarycontent:hover {
  opacity: 1;
}

.galarycontent h2 {
  font-size: 40px;
  color: #fafafa;
  margin-bottom: 5px;
  text-transform: uppercase;
}

.galarycontent p {
  font-size: 18px;
  color: #fff;
  font-weight: 600;
  padding: 10px 15px;
  text-align: center;
  text-transform: capitalize;
}
.galarycontent .viewbtn {
  color: #000000cb;
  padding: 6px 90px;
  background-color: #78f388d2;
  font-weight: 800;
  border-radius: 60px;
  transition: 0.2s ease;
  font-size: 18px;
}
.galarycontent .viewbtn:focus {
  border: 2px solid rgba(103, 103, 241, 0.808);
  color: #fff;
}
.galarycontent .viewbtn:hover {
  background-color: rgba(23, 23, 88, 0.808);
  color: #fff;
}
.galarycontent > * {
  transform: translateY(25px);
  transition: transform 0.5s;
}

.galarycontent:hover > * {
  transform: translateY(0px);
}

/* Media Query */
@media (max-width: 1473px) {
  .galarycontent .viewbtn {
    color: #000000cb;
    padding: 5px 70px;
    background-color: #78f388d2;
    font-weight: 800;
    border-radius: 30px;
    font-size: 15px;
  }
  .galarycontent p {
    font-size: 12px;
    padding: 0 5px;
  }
  .galarycontent {
    width: 100%;
    height: 100%;
  }
  .galarycontent h2 {
    font-size: 25px;
    color: #fafafa;
    margin-bottom: 0;
    text-transform: uppercase;
  }
}
@media (max-width: 1075px) {
  .galarycontent .viewbtn {
    color: #000000cb;
    padding: 1px 30px;
    background-color: #78f388d2;
    font-weight: 800;
    border-radius: 30px;
    font-size: 13px;
  }
  .galarycontent p {
    font-size: 12px;
    padding: 0;
  }
  .galarycontent {
    width: 100%;
    height: 100%;
  }
  .galarycontent h2 {
    font-size: 25px;
    color: #fafafa;
    margin-bottom: 0;
    text-transform: uppercase;
  }
}

@media (max-width: 993px) {
  .wrapper {
    display: flex;
    flex-direction: column;
  }
  .wrapper {
    padding: 3% 10%;
  }
  .galarycontent .viewbtn {
    color: #000000cb;
    padding: 9px 90px;
    background-color: #78f388d2;
    font-weight: 800;
    border-radius: 30px;
    font-size: 20px;
  }
  .galarycontent p {
    font-size: 20px;
    padding: 0;
  }
  .galarycontent {
    width: 100%;
    height: 100%;
  }
  .galarycontent h2 {
    font-size: 35px;
    color: #fafafa;
    margin-bottom: 0;
    text-transform: uppercase;
  }
}

@media (max-width: 670px) {
  .galarycontent .viewbtn {
    color: #000000cb;
    padding: 5px 60px;
    background-color: #78f388d2;
    font-weight: 800;
    border-radius: 30px;
  }
  .galarycontent p {
    font-size: 15px;
    padding: 10px;
  }
  .galarycontent {
    width: 100%;
    height: 100%;
  }
}
@media (max-width: 623px) {
  .wrapper {
    display: flex;
    flex-direction: column;
    width: 100%;
  }

  .galarycontent {
    width: 100%;
    height: 100%;
  }

  .galarycontent h2 {
    font-size: 30px;
    margin-bottom: 7px;
  }

  .galarycontent p {
    font-size: 15px;
    padding: 10px;
  }
}

@media (max-width: 623px) {
  .wrapper {
    grid-template-columns: auto;
  }

  .galarycontent {
    width: 100%;
    height: 100%;
  }

  .galarycontent h2 {
    font-size: 25px;
    margin-bottom: 7px;
  }

  .galarycontent p {
    font-size: 19px;
    padding: 10px;
  }
  .galarycontent .viewbtn {
    color: #000000cb;
    padding: 5px 60px;
    background-color: #78f388d2;
    font-weight: 800;
    border-radius: 30px;
  }
  .wrapper {
    padding: 0% 0;
  }
}

@media (max-width: 500px) {
  .galarycontent .viewbtn {
    color: #000000cb;
    padding: 4px 70px;
    background-color: #78f388d2;
    font-weight: 800;
    border-radius: 30px;
    font-size: 18px;
  }
  .galarycontent p {
    font-size: 16px;
    padding: 0;
  }
  .galarycontent h2 {
    font-size: 30px;
    color: #fafafa;
    margin-bottom: 0;
    text-transform: uppercase;
  }
}

@media (max-width: 435px) {
  .galarycontent h2 {
    font-size: 20px;
  }

  .galarycontent p {
    font-size: 13px;
  }
}

@media (max-width: 337px) {
  .galarycontent {
    width: 100%;
  }

  .galarycontent h2 {
    font-size: 12px;
    margin-bottom: 3px;
  }

  .galarycontent p {
    font-size: 9px;
    padding: 10px;
  }
  .galarycontent .viewbtn {
    font-size: 9px;
    padding: 2px;
    margin-bottom: 5px;
  }
}
